package com.engine.salary.mapper.salaryacct;

import com.engine.salary.entity.salaryacct.po.SalaryAcctResultTemplatePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SalaryAcctResultTemplateMapper {

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryAcctResultTemplatePO> listAll();

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryAcctResultTemplatePO> listSome(SalaryAcctResultTemplatePO salaryAcctResultTemplate);


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalaryAcctResultTemplatePO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param salaryAcctResultTemplate 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalaryAcctResultTemplatePO salaryAcctResultTemplate);

    /**
     * 修改，修改所有字段
     *
     * @param salaryAcctResultTemplate 修改的记录
     * @return 返回影响行数
     */
    int update(SalaryAcctResultTemplatePO salaryAcctResultTemplate);

    /**
     * 修改，忽略null字段
     *
     * @param salaryAcctResultTemplate 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalaryAcctResultTemplatePO salaryAcctResultTemplate);

    /**
     * 删除记录
     *
     * @param id 待删除的记录
     * @return 返回影响行数
     */
    int deleteById(Long id);

    int deleteByIds(@Param("ids") List<Long> ids);
}